# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-POE-Client-TCP
Version:        1.12
Release:        alt1_2
Summary:        POE Component providing TCP client services for test cases
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-POE-Client-TCP/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/Test-POE-Client-TCP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
# Original perl(POE) >= 1.28 rounded to 3 digits
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Wheel/ReadWrite.pm)
BuildRequires:  perl(POE/Wheel/SocketFactory.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Socket.pm)
# Tests:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(POE/Filter.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Text/ParseWords.pm)
# Optional tests:
BuildRequires:  perl(Test/Script.pm)
Requires:       perl(POE.pm) >= 1.280
Requires:       perl(POE/Filter/Line.pm)
Requires:       perl(POE/Wheel/ReadWrite.pm)
Requires:       perl(POE/Wheel/SocketFactory.pm)

# Filter under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(POE\\)$/d

%description
Test::POE::Client::TCP is a POE component that provides a TCP client
framework for inclusion in client component test cases, instead of having
to roll your own.

%prep
%setup -q -n Test-POE-Client-TCP-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes Changes.old examples LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_2
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt2_5
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt2_3
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_3
- fc import

